API Reference
Shelf Life
2 endpoints· Auth: JWT or API Key
get
/api/v1/console/inventory/shelf-life JWT API KeyGet shelf-life
Query parameters
| AsOf string (date) | — |
| WithinDays integer (int32) | — |
| StockLocationId string (uuid) | — |
| Bucket string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/inventory/shelf-life" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/inventory/shelf-life/propose-waste JWT API KeyCreate propose-waste
Request body
application/json
{
"stockLocationId": "00000000-0000-0000-0000-000000000000",
"inventoryItemId": "00000000-0000-0000-0000-000000000000"
}| stockLocationId string (uuid) | — |
| inventoryItemId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/inventory/shelf-life/propose-waste" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"stockLocationId": "00000000-0000-0000-0000-000000000000",
"inventoryItemId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu